%global pkgvers 0
%global scdate0 20240509
%global schash0 28e1fdf953c22f51cc862054599b0bfc8584b1f2
%global branch0 main
%global source0 https://github.com/google-research/circuit_training.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           circuit-training
Version:        0.0.2
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Chip floor plans with deep reinforcement learning
License:        Apache

BuildArch:      noarch

URL:            https://github.com/google-research/circuit_training

BuildRequires:  git python3 python3-setuptools python3-rpm-macros
BuildRequires:  tensorflow-agents

Requires:       tensorflow-agents

%description
Circuit Training: An open-source framework for generating chip
floor plans with distributed deep reinforcement learning.

%package        python3
Summary:        %{summary}
Provides:       %{name}

%description    python3
Circuit Training: An open-source framework for generating chip
floor plans with distributed deep reinforcement learning.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
sed -i 's|install_requires=self._get_tf_agents_packages()|install_requires=None|' setup.py
%py3_build


%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} --install-lib=%{python3_sitelib}


%files python3
%license LICENSE
%doc README.md
%doc docs
%{python3_sitelib}/*


%changelog
* Thu Apr 14 2022 Cristian Balint <cristian.balint@gmail.com>
- git update releases
